version: '2'

services:
  jekyll:
    image: jekyll/jekyll
    hostname: jekyll
    container_name: jekyll
    restart: always
    entrypoint:
      - /bin/bash
      - /jekyll/entrypoint.sh
    volumes:
      - ./jekyll:/jekyll
    expose:
      - 4000
    networks:
      mynet:
        ipv4_address: 172.4.0.101
        
networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.4.0.0/24

